<?php

/*------------------------------------------------
$listutil = new getListUtil();
を記述して使用
コンボボックス用リストを取得する関数
SQLは、util/sql/list/xxx.sql
-------------------------------------------------*/

class getListUtil {
  private $logger;

  function __construct() {
    $this->logger = new logger(basename(__FILE__));
  }

  function __destruct() {
  }

  /*
name   : getlistPrno
func   : プリンタ出力先
io     : ktktcd
return : リストデータ(nm([afm105.ktktcd]afm105.prnm),cd(afm105.prno))
*/
public function getListPrno($ktktcd=null) {

  try {
    global $serverUtil;
    global $stringUtil;
    $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistPrno.sql";
    $this->logger->info("FILE", $file);
    global $dbutil;

    if ($stringUtil->isEmpty($ktktcd)) {
      $ktktcd = $_SESSION[$GLOBALS['SYSTEM_NAME_EN']]["LGKTKTCD"];
    }

    $whereParams=array();
    $whereParams["ktktcd"] = $ktktcd;

    $sql = file_get_contents($file);
    $result = $dbutil->select($sql,$whereParams);

  } catch(userException $ue) {
    $dbutil->rollback();
  } catch(Exception $e) {
    $dbutil->rollback();
  }

  return $result;

}
  /*
  name   : getListAfm90
  func   : afm90よりリストデータ取得
  io     : $cls
  return : リストデータ(nm,cd(scls1))
  */
  public function getListAfm90($cls) {

    $sdday = null;
    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistAfm90.sql";
      $this->logger->info("FILE", $file);

      global $dbutil;
      $sql = file_get_contents($file);
      $whereParams = array();
      $whereParams['pcls'] = $cls;
      $result = $dbutil->select($sql, $whereParams);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;

  }

  /*
  name   : getlistCls990
  func   : 雑マスタ分類リスト
  io     : pcls : i : cls
  return : リストデータ(nm,cd(scls1))
  */
  public function getlistCls990() {

    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistlistCls990.sql";
      $this->logger->info("FILE", $file);
      global $dbutil;

      $sql = file_get_contents($file);
      $result = $dbutil->select($sql);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;

  }


  /*
  name   : getlistGdcls1
  func   : 大分類リスト
  io     :
  return : リストデータ(taxrt, taxrt)
  */
  public function getlistGdcls1() {

    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistGdcls1.sql";
      $this->logger->info("FILE", $file);
      global $dbutil;

      $sql = file_get_contents($file);
      $this->logger->info("SQL", $sql);
      $result = $dbutil->select($sql);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;

  }

   /*
  name   : getlistGdcls2
  func   : 中分類リスト
  io     :
  return : リストデータ(nm,cd)
  */
  public function getlistGdcls2($scls1) {

    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistGdcls2.sql";
      $this->logger->info("FILE", $scls1);

      global $dbutil;

      $whereParams=array();
      $whereParams["scls1"] = $scls1;

      $sql = file_get_contents($file);
      $result = $dbutil->select($sql,$whereParams);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;

  }

     /*
  name   : getlistGdcls3
  func   : 小分類リスト
  io     :
  return : リストデータ(nm,cd)
  */
  public function getlistGdcls3($scls1,$scls2) {

    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistGdcls3.sql";
      $this->logger->info("FILE", $scls1);

      global $dbutil;

      $whereParams=array();
      $whereParams["scls1"] = $scls1;
      $whereParams["scls2"] = $scls2;

      $sql = file_get_contents($file);
      $result = $dbutil->select($sql,$whereParams);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;

  }

 /*
  name   : getlistlistTaxrtd
  func   : 消費税適用日リスト
  io     :
  return : リストデータ(taxrtd, taxrtd)
  */
  public function getlistlistTaxrtd() {

    try {
      global $serverUtil;
      $file = $serverUtil->getProjectDir() . "/util/sql/list/getlistlistTaxrtd.sql";
      $this->logger->info("FILE", $file);
      global $dbutil;

      $sql = file_get_contents($file);
      $result = $dbutil->select($sql);

    } catch(userException $ue) {
      $dbutil->rollback();
    } catch(Exception $e) {
      $dbutil->rollback();
    }

    return $result;
  }


}

?>
